import { IExecuteFunctions, INodeExecutionData, INodeType, INodeTypeDescription, ILoadOptionsFunctions, INodePropertyOptions } from 'n8n-workflow';
export declare function loadTtsVoices(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
export declare function loadTtsEmotions(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
export declare class KlingLipSync implements INodeType {
    methods: {
        loadOptions: {
            loadTtsVoices: typeof loadTtsVoices;
            loadTtsEmotions: typeof loadTtsEmotions;
        };
    };
    description: INodeTypeDescription;
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
